Open Infrastructure - Task #7654
Task # 7649 (Rejected): Sketch a VM backup & restore

Get VMs info from Opennebula and save it in etcd
Description

Create a service that gets VMs' information from OpenNebula and save it in etcd.
It should also update/sync this information every 10 minutes.

History

#1 - 01/27/2020 05:37 PM - Ahmed Bilal

Done

#2 - 01/27/2020 09:29 PM - Nico Schottelius

Where does it run / update every 10 minutes?

#3 - 01/28/2020 09:31 AM - Ahmed Bilal

We can run it either as cron job or put a sleep in the code.
SEC_IN_MIN = 60
SEC_IN_10MIN = 10 * SEC_IN_MIN

sleep (SEC_IN_10MIN)

#4 - 01/28/2020 10:35 AM - Nico Schottelius

clearly a cron job.

Let's create a new (IPv6 only) service VM based on Alpine, which is
dedicated for running stateless scripts (via cron or other means).

=> service.ungleich.ch

We might eventually also use docker on this VM, just as a side note.
Please configure everything on it (getting ungleich tools repo, setting
up cronjob) via cdist. The ungleich tools is already somewhere in the

dot-cdist repo

redmine@ungleich.ch writes:

#5 - 01/28/2020 10:36 AM - Nico Schottelius

ping sre team

#6 - 01/02/2024 01:57 PM - Nico Schottelius

- Status changed from New to Rejected

03/13/2024
